Skip to main content

Create or rotate a Service pull-image webhook token

POST/v2/stacks/{stackId}/services/{serviceId}/webhook-token
API version
v2
Request method
POST
Operation ID
container-rotate-pull-image-webhook-for-service

Creates or rotates the pull-image webhook token for a Service.

The returned token is shown only once.

Request​

  • stackIdstring (uuid)required

    ID of the Stack the Service belongs to.

  • serviceIdstringrequired

    ID of the Service to create or rotate the webhook token for.

Responses​

Format
application/json
Description

OK

  • tokenstringrequired

    Webhook token. This value is returned only once.

  • webhookUrlstring (uri)required

    Full pull-image webhook URL including the token. This value is returned only once.

Content-Type: application/json

{
"token": "string",
"webhookUrl": "string"
}
{
"properties": {
"token": {
"description": "Webhook token. This value is returned only once.",
"type": "string"
},
"webhookUrl": {
"description": "Full pull-image webhook URL including the token. This value is returned only once.",
"format": "uri",
"type": "string"
}
},
"required": [
"token",
"webhookUrl"
],
"type": "object"
}

Usage examples​

$ curl \
--fail \
--location \
-X POST \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/stacks/f0f86186-0a5a-45b2-aa33-502777496347/services/string/webhook-token
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.container.rotatePullImageWebhookForService({
"stackId": "f0f86186-0a5a-45b2-aa33-502777496347",
"serviceId": "string"
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Container\RotatePullImageWebhookForService\RotatePullImageWebhookForServiceRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new RotatePullImageWebhookForServiceRequest(
stackId: "f0f86186-0a5a-45b2-aa33-502777496347",
serviceId: "string"
));
$response = $client->container()->rotatePullImageWebhookForService($request);

var_dump($response->getBody();

On this page